# PCMGSetType

Determines the form of multigrid to use: multiplicative, additive, full, or the Kaskade algorithm.

### Synopsis

    #include "petscmg.h"
    PetscErrorCode PETSCKSP_DLLEXPORT PCMGSetType(PC pc,PCMGType form)

Collective on PC

### Input Parameters

| pc | - the preconditioner context
| form | - multigrid form, one of PC_MG_MULTIPLICATIVE, PC_MG_ADDITIVE, PC_MG_FULL, PC_MG_KASKADE

### Options Database Key

-pc_mg_type <form> -Sets <form>, one of multiplicative, additive, full, kaskade

### Keywords

MG, set, method, multiplicative, additive, full, Kaskade, multigrid

### See Also

PCMGSetLevels()

Level:advanced
Location: src/ksp/pc/impls/mg/mg.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages